MKVINFO(1)

REFERENTIENAAM
mkvinfo - Informatie uitprinten over elementen in Matroska(TM) bestanden

BEKNOPTE INHOUDSBESCHRIJVING

mkvinfo [options] {source-filename}

BESCHRIJVING

Dit programma lijst alle elementen die een Matroska(TM) bestand bevat. De uitvoer kan gelimiteerd worden naar een lijst van sporen inclusief de informatie over de gebruikte codecs.

-g, --gui
    Start de GUI. Deze optie is alleen beschikbaar wanneer mkvinfo is gecompileerd met GUI ondersteuning.

-c, --checksums
    Berekent en toont de Adler32 controleer som. Alleen zinvol voor foutzoeken.

-s, --summary
    Toon slechts een grove samenvatting van wat mkvinfo(1) vindt en niet elk element.

-x, --hexdump
    Toont de eerste 16 bytes van elk beeld als een hex dump.

-X, --full-hexdump
    Toont alle bytes van elk beeld als een hex dump.

-z, --size
    Toon de grootte van elk element inclusief kophoofd

--command-line-charset (karakter-set)
    Plaatst het karakter set om de reeksen om te zetten die vanaf de comando regel worden opgegeven. Standaard wordt gebruikt de karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (lokatie).

--output-charset (karakter-set)
    Stelt de karakter set in waarnaar de reeksen dienen te worden geconverteerd naar de uitvoer. Standaard wordt gebruikt de karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (lokatie).

-r, --redirect-output (bestands-naam)
    Schrijft alle berichten naar een bestand file-name i.p.v naar het 'apparaat/houder'. Terwijl dit gemakkelijk met uitvoer omleiden kan worden gedaan er zijn gevallen waarin deze optie nodig is: wanneer de verwerker e.e.a her-interpreteert voordat het geschreven wordt naar het uitvoer bestand. De karakter set met --output-charset is toegewezen.

--ui-language code
    Forceert de vertaling voor de te gebruiken taal code (b.v. 'de_DE' voor de Duitse taal). Hoewel het de voorkeur heeft de 'omgevings variabelen' te gebruiken LANG, LC_MESSAGES en LC_ALL. Opvragen van een 'list' als een code zal er voor zorgen dat mkvextract(1) een lijst zal uitvoeren van alle beschikbaren vertalingen.

-v, --verbose
    Wees uitgebreider. Zie sectie over uitgebreide niveaus voor een beschrijving welke informatie wordt uitgevoerd op welk niveau.

-h, --help
    Toon gebruik informatie en sluit af.

-V, --version
    Toon versie informatie en sluit af.

@optie's-bestand
    Leest extra commando regel argumenten in van een bestand options-file. Regels met een spatie (lege ruimte) als eerste karakter, worden gemarkeerd als een hash (waarde) ('#') worden behandeld als commentaar en worden genegeerd. Een spatie aan het begin en einde van een regel worden verwijderd. Elke regel mag precies één optie bevatten. Een meta karakter negeren is niet mogelijk.

    De commando regel 'mkvinfo -v -v input.mkv --redirect-output info.txt' kon worden geconverteert naar het volgende optie bestand:

        # Wees uitgebreider
        -v
        -v
        # Ontleed invoer.mkv
        input.mkv
        # schrijf uitvoer naar info.txt
        --redirect-output
        info.txt

UITGEBREIDE NIVEAU'S

De optie -v kan worden gebruikt om mkvinfo(1)'s uitgebreide niveau te verhogen en meer informatie te printen over het huidige bestand.

Op niveau 0 print mkvinfo(1) de spoor koppen die het vindt en hun typen. mkvinfo(1) verlaat zo snel mogelijk wanneer de koppen volledig zijn ontleed (meer technisch: zo snel mogelijk wanneer de eerste cluster wordt tegengekomen). Op dit niveau worden de zoek kop ingangen en volg document(en) (cue) niet getoond -- zelfs niet wanneer die aan het begin bevinden van de spoor informatie.

Op niveau 1 print mkvinfo(1) ook alle Matroska(TM) tegengekomen elementen van het complete bestand elementen behalve de zoek koppen en de volg document(en) (cue) ingangen. Als de samenvattingsmode aan is dan zal mkvinfo(1) het beeld positie eveneens uitvoeren.

Op niveau 2 print mkvinfo(1) tevens de zoek kop ingangen, de volg document(en) (cue)l ingangen en de bestandspositie waarbij elk Matroska(TM) element kan worden gevonden.

Op niveau 3 en hoger zal mkvinfo(1) enige informatie printen welke niet direct aan een Matroska(TM) element is gekoppeld. Alle overige elementen printen alleen info over de elementen die zojuist werden gevonden. Niveau 3 voegt meta informatie toe voor een makkelijkere fout opsporing (lees als: bedoelt voor ontwikkelaars). Alle niveau 3 geschreven regels bevatten zich tussen [ ] om ze makkelijker te herkennen..

VERLAAT CODES

mkvinfo(1) verlaat met één van de drie afsluit codes:

    •

    0 -- Deze verlaat code betekent dat alles succesvol voltooid is.

    •

    1 -- In dit geval heeft mkvinfo(1) minimaal één waarschuwing doen uitgaan, maar ging door. Een waarschuing wordt voorafgegaan met de tekst 'Warning:'.

    •

    2 -- Deze fout code wordt gegeven nadat er een fout optrad. mkvinfo(1) breekt direct af na het geven van dit waarschuw bericht. Fout! bereik in berichten, van een verkeerd commando regel argument over lees/schrijf fouten naar een 'gebroken' bestanden.

ZIE OOK

mkvmerge(1), mkvextract(1), mkvpropedit(1), mmg(1)

WWW

De laatste versie kan altijd gevonden worden op de MKVToolNix[1] thuis basis.

AUTEUR

Moritz Bunkus <moritz@bunkus.org>
    Ontwikkelaar

NOTEN

1.  MKVToolNix
    http://www.bunkus.org/videotools/mkvtoolnix/